Bug 138963 - Clicking the position and size box without an object selected disables future selection.
Summary: Clicking the position and size box without an object selected disables future...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
6.1 all versions
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.0.0.beta2 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-16 01:28 UTC by DrC
Modified: 2020-12-17 12:52 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description DrC 2020-12-16 01:28:25 UTC
Description:
Clicking the control that shows position and size opens the dialogue box to change, and if required, lock position and size parameters.

Clicking the control with no object selected, while it is  showing the cursor position, temporarily disables the cursor's select function.

Steps to Reproduce:
1.Click outside all objects
2.Check position box contents follow the cursor movement.
3.Click the position or size box

Actual Results:
Nothing happens, but trying to select an object then fails until the select function is re-enabled either explicitly or by another process.

Expected Results:
Nothing happens is good.  Nothing changes would also be good.


Reproducible: Always


User Profile Reset: No



Additional Info:
The easy work-around is to use the select tool.

Rather than disabling selection it would be really nice if the UI could show a warning for as long as the click lasted.  Once available there are a number of situations when such a method could be used to improve the user experience, and possibly reduce complaints from users who haven't read the manual.

7.0.3.1 (X64) 
gerrit.libreoffice.org / core / d7547858d014d4cf69878db179d326fc3483e082
Comment 1 Xisco Faulí 2020-12-16 10:09:46 UTC
Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 8b3982681e98818388c09233960ad6eaacee205a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

pressing ESC button helps to select the shape
Comment 2 Xisco Faulí 2020-12-16 10:32:49 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d3dbbdce4eb71ae848e7682374e011c4a6129b15

author	Jan Holesovsky <kendy@collabora.com>	2018-01-17 15:20:31 +0100
committer	Jan Holesovsky <kendy@collabora.com>	2018-01-18 15:18:16 +0100
commit	d3dbbdce4eb71ae848e7682374e011c4a6129b15 (patch)
tree	c27c21e950212b14fa441d0b3bc8280047907305
parent	e6e125946358865990ea999c8a4845ec84eb7088 (diff)
lokdialog: Convert the Format -> ... -> Position and Size... to async exec.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Jan Holesovsky
Comment 3 Xisco Faulí 2020-12-16 10:33:12 UTC
@Caolán, I thought you might be interested in this issue
Comment 4 Caolán McNamara 2020-12-16 12:38:47 UTC
I imagine the block of...

 Invalidate(SID_RULER_OBJECT);
 Cancel();

should be called on all the early returns that don't popup the dialog
Comment 5 Commit Notification 2020-12-16 19:29:49 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c4f5b1b4fa4cb2b4c1d60e2f5dd4b068ea740c48

tdf#138963 Clicking the position statusbar box disables selection

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-12-17 11:01:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/fc3ba80047a12c8577fc695e58fc8cb576777d83

tdf#138963 Clicking the position statusbar box disables selection

It will be available in 7.1.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2020-12-17 11:50:57 UTC
fixed in master and 7-1, backport to 7-0 in gerrit
Comment 8 Xisco Faulí 2020-12-17 12:51:41 UTC
Verified in

Version: 7.2.0.0.alpha0+
Build ID: 4484accf4d331a95ebf8475d6cd91950f4c27bcc
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Caolán, thanks for fixing this issue!!
Comment 9 Commit Notification 2020-12-17 12:52:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/594a27f191347fadf25ddf795b4f68263ef8abb2

tdf#138963 Clicking the position statusbar box disables selection

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.